Bug 108806 - [NEW PORT] lang/mpd: A concurrent programming language
Summary: [NEW PORT] lang/mpd: A concurrent programming language
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Alejandro Pulver
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-02-05 17:40 UTC by kaiwang27
Modified: 2007-02-09 04:50 UTC (History)
0 users

See Also:


Attachments
mpd-1.0.1.shar (23.40 KB, text/plain)
2007-02-05 17:40 UTC, kaiwang27
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description kaiwang27 2007-02-05 17:40:13 UTC
MPD is a new programming language that has a syntax very close to the
one used in the book Foundations of Multithreaded, Parallel, and
Distributed Programming. The name of the language comes from the first
three letters of the main words of the title of the book:
Multithreaded, Parallel, and Distributed. These words also capture a
distinguishing aspect of the language, namely that it supports all
three of these concurrent programming techniques.

MPD is implemented as a variant of the SR programming language. It has
a different parser, but it uses the same intermediate form and
run-time system as SR. Consequently, MPD provides the same variety of
concurrent programming mechanisms as does SR.

WWW: http://www.cs.arizona.edu/mpd/

Generated with FreeBSD Port Tools 0.77
Comment 1 Alejandro Pulver freebsd_committer 2007-02-07 04:26:06 UTC
Responsible Changed
From-To: freebsd-ports-bugs->alepulver

I'll take it.
Comment 2 dfilter service freebsd_committer 2007-02-09 04:12:45 UTC
alepulver    2007-02-09 04:12:38 UTC

  FreeBSD ports repository

  Modified files:
    lang                 Makefile 
  Added files:
    lang/mpd             .Makefile.swp Makefile distinfo pkg-descr 
                         pkg-plist 
    lang/mpd/files       patch-csw__asm.c 
  Log:
  MPD is a new programming language that has a syntax very close to the
  one used in the book Foundations of Multithreaded, Parallel, and
  Distributed Programming. The name of the language comes from the first
  three letters of the main words of the title of the book:
  Multithreaded, Parallel, and Distributed. These words also capture a
  distinguishing aspect of the language, namely that it supports all
  three of these concurrent programming techniques.
  
  MPD is implemented as a variant of the SR programming language. It has
  a different parser, but it uses the same intermediate form and
  run-time system as SR. Consequently, MPD provides the same variety of
  concurrent programming mechanisms as does SR.
  
  WWW: http://www.cs.arizona.edu/mpd/
  
  PR:             ports/108806
  Submitted by:   Kai Wang <kaiw27 at gmail.com>
  
  Revision  Changes    Path
  1.536     +1 -0      ports/lang/Makefile
  1.1       +9 -0      ports/lang/mpd/.Makefile.swp (new)
  1.1       +60 -0     ports/lang/mpd/Makefile (new)
  1.1       +3 -0      ports/lang/mpd/distinfo (new)
  1.1       +24 -0     ports/lang/mpd/files/patch-csw__asm.c (new)
  1.1       +14 -0     ports/lang/mpd/pkg-descr (new)
  1.1       +508 -0    ports/lang/mpd/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Alejandro Pulver freebsd_committer 2007-02-09 04:50:04 UTC
State Changed
From-To: open->closed

New port added, with minor changes. Thanks!